x11/xcb - The NetBSD Packages Collection

Extensible, multiple cut buffers for X

What is xcb?
============
Do you ever wish you could cut two or more separate pieces of text
at once from a window?  Do you ever need to save the output from one
command for reuse in several subsequent tasks?  Do you ever find
yourself wanting some easy means of globally exporting data, e.g.
to a parent shell, to another xterm or application, or to another
machine or user?  If you answer yes to any of these questions, then
xcb is for you.

Xcb provides access to the cut buffers built into every X server.
It allows the buffers to be manipulated either via the command line,
or with the mouse in a point and click manner.  The buffers can be
used as holding pens to store and retrieve arbitrary data fragments,
so any number of different pieces of data can be saved and recalled later.
The program is designed primarily for use with textual data.

Build dependencies

pkgtools/x11-links pkgtools/cwrappers devel/imake

Runtime dependencies

(none)

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfxcb-2.4nb2.tgz
NetBSD 8.0earmv7hfxcb-2.4nb2.tgz
NetBSD 8.0earmv7hfxcb-2.4nb2.tgz
NetBSD 8.0i386xcb-2.4nb2.tgz
NetBSD 8.0i386xcb-2.4nb2.tgz
NetBSD 8.0i386xcb-2.4nb2.tgz
NetBSD 8.0powerpcxcb-2.4nb2.tgz
NetBSD 8.0powerpcxcb-2.4nb2.tgz
NetBSD 8.0powerpcxcb-2.4nb2.tgz
NetBSD 8.0x86_64xcb-2.4nb2.tgz
NetBSD 8.0x86_64xcb-2.4nb2.tgz
NetBSD 9.0aarch64xcb-2.4nb2.tgz
NetBSD 9.0aarch64xcb-2.4nb2.tgz
NetBSD 9.0aarch64xcb-2.4nb2.tgz
NetBSD 9.0alphaxcb-2.4nb2.tgz
NetBSD 9.0alphaxcb-2.4nb2.tgz
NetBSD 9.0alphaxcb-2.4nb2.tgz
NetBSD 9.0earmv6hfxcb-2.4nb2.tgz
NetBSD 9.0earmv6hfxcb-2.4nb2.tgz
NetBSD 9.0earmv6hfxcb-2.4nb2.tgz
NetBSD 9.0earmv6hfxcb-2.4nb2.tgz
NetBSD 9.0earmv7hfxcb-2.4nb2.tgz
NetBSD 9.0earmv7hfxcb-2.4nb2.tgz
NetBSD 9.0earmv7hfxcb-2.4nb2.tgz
NetBSD 9.0earmv7hfxcb-2.4nb2.tgz
NetBSD 9.0i386xcb-2.4nb2.tgz
NetBSD 9.0i386xcb-2.4nb2.tgz
NetBSD 9.0i386xcb-2.4nb2.tgz
NetBSD 9.0mips64ebxcb-2.4nb2.tgz
NetBSD 9.0mips64ebxcb-2.4nb2.tgz
NetBSD 9.0mips64ebxcb-2.4nb2.tgz
NetBSD 9.0powerpcxcb-2.4nb2.tgz
NetBSD 9.0powerpcxcb-2.4nb2.tgz
NetBSD 9.0sparc64xcb-2.4nb2.tgz
NetBSD 9.0sparc64xcb-2.4nb2.tgz
NetBSD 9.0sparc64xcb-2.4nb2.tgz
NetBSD 9.0sparc64xcb-2.4nb2.tgz
NetBSD 9.0sparcxcb-2.4nb2.tgz
NetBSD 9.0sparcxcb-2.4nb2.tgz
NetBSD 9.0sparcxcb-2.4nb2.tgz
NetBSD 9.0x86_64xcb-2.4nb2.tgz
NetBSD 9.0x86_64xcb-2.4nb2.tgz
NetBSD 9.0x86_64xcb-2.4nb2.tgz
NetBSD 9.0x86_64xcb-2.4nb2.tgz
NetBSD 9.0x86_64xcb-2.4nb2.tgz
NetBSD 9.0x86_64xcb-2.4nb2.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.